Package org.sonatype.maven.polyglot.groovy.builder.factory

## Class DependencyFactory

- java.lang.Object
- - groovy.util.AbstractFactory
  - - org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory
    - - org.sonatype.maven.polyglot.groovy.builder.factory.DependencyFactory

- All Implemented Interfaces:
    `groovy.util.Factory`

      public class DependencyFactory
      extends NamedFactory

  Builds `Dependency` nodes.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

      `NamedFactory.NodeValueParseException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DependencyFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `newInstance​(groovy.util.FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attrs)` |
    `static org.apache.maven.model.Dependency` | `parse​(java.lang.Object value)` |

    - ### Methods inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

      `getName, setParent, toString`

    - ### Methods inherited from class groovy.util.AbstractFactory

      `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyFactory

          public DependencyFactory()

  - ### Method Detail

    - #### newInstance

          public java.lang.Object newInstance​(groovy.util.FactoryBuilderSupport builder,
                                              java.lang.Object name,
                                              java.lang.Object value,
                                              java.util.Map attrs)
                                       throws java.lang.InstantiationException,
                                              java.lang.IllegalAccessException

      Throws:
        `java.lang.InstantiationException`
        `java.lang.IllegalAccessException`

    - #### parse

          public static org.apache.maven.model.Dependency parse​(java.lang.Object value)